Class A_StealthPower extends SPActors;

simulated function PostBeginPlay()
{
	SetTimer(1, true);

	PlaySound(Sound'GeneralAmbience.computerfx11',SLOT_Interact,200,true,90,,true);
}

simulated function Timer()
{
	local Pawn P;
	local SPPRI I;

	P = Pawn(Owner);
	I = SPPRI(P.PlayerReplicationInfo);

	if (P != None && I != None)
	{
		I.StealthPower -= 1;

		if (I.StealthPower < 1)
		{
			SPPawn(P).StealthOn = false;
			Destroy();
		}
	}
}

event Tick(float DeltaTime)
{
	local SPMonsterController SM;
	local Pawn P;

	P = Pawn(Owner);

	foreach DynamicActors(class'SPMonsterController', SM)
	{
		if (SM != None && P != None)
		{
			if (SM.Enemy == P)
			{
				SM.Enemy = None;
				SM.bEnemyIsVisible = false;
				SM.WanderOrCamp(true);
			}
		}
	}
}

defaultproperties
{
	bHidden=true
	RemoteRole=Role_SimulatedProxy
	bAlwaysRelevant=true
}