//
// This code is by punk129 (http://www.punk129.com) - Thanks for letting me use your code!
//

class Interface_SaveGamePage extends UT2K4GUIPage config;

var Automated GUIImage MyBackGround;

//list including all saved games
var Automated GUIList SaveGameList;

//textbox showing the saved map's description
var Automated GUIScrollTextBox TBDesc;

var automated GUIButton	btnBack;

//check if the "empty slot" is needed
var bool bSaving;

//the config var saving the savegame names
var globalconfig array<string> SaveCaptions;

//the config var saving the savegame descs
var globalconfig array<string> SaveDescs;

function InternalOnOpen()
{
    local PlayerController PC;
    local SPPawn P;
    local int i;

        PC = PlayerOwner();
        P = SPPawn(PC.Pawn);

        for(i=0; i < SaveCaptions.Length; i++)
        {
                //add all saved games to the savegame list
                SaveGameList.Add(SaveCaptions[i],,SaveDescs[i]);
        }
        if (bSaving)
                //if saving add an empty slot
                SaveGameList.Add("Empty Slot");
}


function bool InternalOnDblClick(GUIComponent Sender)
{
        //added for delegate
        return true;
}

function InternalOnChange(GUIComponent Sender)
{
        if (sender == SaveGameList)
        {
                //set the textbox's content
                TBDesc.SetContent(SaveGameList.GetExtra());
        }
}

function bool btnBackOnClick(GUIComponent Sender)
{
	Controller.CloseMenu(true);
	return true;
}

function bool InternalOnPreDraw(Canvas Canvas)
{
	local float XL;
	//Super.InternalOnPreDraw(Canvas);

	btnBack.WinWidth = XL+96;
	btnBack.WinLeft = Canvas.ClipX-btnBack.WinWidth;

	return false;
}

DefaultProperties
{
        OnOpen=InternalOnOpen

     Begin Object Class=GUIButton Name=SPbtnBack
         Caption="BACK"
         StyleName="FooterButton"
         Hint="Return to Previous Menu"
         WinTop=0.959479
         WinWidth=0.120000
         WinHeight=0.040703
         RenderWeight=1.000000
         bBoundToParent=True
         OnClick=Interface_SaveGamePage.btnBackOnClick
         OnKeyEvent=SPbtnBack.InternalOnKeyEvent
     End Object
     btnBack=Interface_SaveGamePage.SPbtnBack

        Begin Object class=GUIImage name=BackGround
                WinWidth=1
                WinHeight=1
                WinLeft=0
                WinTop=0
                Image=Material'SPTextures.GUI.savegamebg'
                ImageStyle=ISTY_Scaled
                ImageRenderStyle=MSTY_Normal
                bVisible=true
        End Object
        MyBackGround=BackGround

        Begin Object class=GUIScrollTextBox name=TextBox_Desc
                WinWidth=0.4
                WinHeight=0.4
                WinLeft=0.55
                WinTop=0.055
                bNoTeletype=true
                bVisible=true
        End Object
        TBDesc=TextBox_Desc

        Begin Object Class=GUIList Name=List_Saves
                OnDblClick=InternalOnDblClick
                OnChange=InternalOnChange
                WinTop=0.055
                WinLeft=0.05
                WinWidth=0.4
                WinHeight=0.89
        End Object
        SaveGameList=List_Saves



        WinWidth=1.0
        WinHeight=1.0
        WinTop=0.0
        WinLeft=0.0

     	OnPreDraw=Interface_SaveGamePage.InternalOnPreDraw

        bAllowedAsLast=true
}