//
// This code is by punk129 (http://www.punk129.com) - Thanks for letting me use your code!
//

class Interface_SavePage extends Interface_SaveGamePage;

var Automated GUIButton bSave;

function bool LeftButtonClick(GUIComponent Sender)
{
    local PlayerController PC;
    local int i;

        PC = PlayerOwner();

        if (Sender == bSave)
        {
                //get the slot for save
                i = SaveGameList.FindIndex(SaveGameList.Get());

                //save the game
                PC.ConsoleCommand("SaveGame "$i);

                //save caption and desc to the ini file
                SaveCaptions[i] = PC.Level.Title$" | "$PC.Level.Day$"/"$PC.Level.Month$"/"$PC.Level.Year$" | "$PC.Level.Hour$":"$PC.Level.Minute$":"$PC.Level.Second;
                SaveDescs[i] = PC.Level.Description;
                SaveConfig();

                Controller.CloseMenu(false);
        }

        return true;
}


//just the same, but on double click
function bool InternalOnDblClick(GUIComponent Sender)
{
    local PlayerController PC;
    local int i;

        PC = PlayerOwner();

        if (Sender == SaveGameList)
        {
                //get the slot for save
                i = SaveGameList.FindIndex(SaveGameList.Get());

                //save the game
                PC.ConsoleCommand("SaveGame "$i);

                //save caption and desc to the ini file
                SaveCaptions[i] = PC.Level.Title$" | "$PC.Level.Day$"/"$PC.Level.Month$"/"$PC.Level.Year$" | "$PC.Level.Hour$":"$PC.Level.Minute$":"$PC.Level.Second;
                SaveDescs[i] = PC.Level.Description;
                SaveConfig();

                Controller.CloseMenu(false);
        }

        return true;
}

function bool InternalOnPreDraw(Canvas Canvas)
{
	local float XL;

	Super.InternalOnPreDraw(Canvas);

	bSave.WinWidth = XL+96;
	bSave.WinLeft = Canvas.ClipX-256;

	return false;
}

DefaultProperties
{
     Begin Object Class=GUIButton Name=Button_Save
                OnClick=LeftButtonClick
         Caption="SAVE"
         StyleName="FooterButton"
         Hint="Save game."
         WinTop=0.959479
         WinWidth=0.120000
         WinHeight=0.040703
         RenderWeight=1.000000
         bBoundToParent=True
     End Object
        bSave=Button_Save

    //add empty slot
    bSaving=true
}