Class SPBlinderPowerPickup extends TournamentPickup placeable;

var() int BlindersToAdd;

auto state Pickup
{
	function Touch( actor Other )
	{
		local Pawn P;

		if ( ValidTouch(Other))
		{
			P = SPPawn(Other);

			if (SPPRI(P.PlayerReplicationInfo) != None)
			{
				if (SPPRI(P.PlayerReplicationInfo).BlinderPower < 11)
				{

				SPPRI(P.PlayerReplicationInfo).BlinderPower += BlindersToAdd;

				if (PlayerController(P.Controller) != None)
						PlayerController(P.Controller).ClientMessage("You picked up some Blinders.");
				SetRespawn();
				}
			}
		}
	}
}

defaultproperties
{
	RespawnTime=320
	BlindersToAdd=1
     	CollisionRadius=16.000000
     	CollisionHeight=8.000000
	DrawType=DT_StaticMesh
	DrawScale=5
	StaticMesh=StaticMesh'WeaponStaticMesh.FlakShell'
}