Class SPDeadBody_Male extends Decoration placeable;

var() enum EDeathPose
{
	DP_FrontSprawled,
	DP_Back,
	DP_Front
} DeathPose;

event PostBeginPlay()
{
	Super.postbeginplay();
	settimer(0.1, true);
}

simulated function Timer()
{
	switch(DeathPose)
	{
		case DP_FrontSprawled: LoopAnim('DeathEnd', 1, 0.5); break;
		case DP_Back: LoopAnim('DeathEnd2', 1, 0.5); break;
		case DP_Front: LoopAnim('DeathEnd3', 1, 0.5); break;

		default: LoopAnim('DeathEnd', 1, 0.5); break;
	}
}

defaultproperties
{
	DrawType=DT_Mesh
	Mesh=VertMesh'CodeBaseMonsters.Male1'
	DeathPose=DP_Front
	Skins(0)=Texture'SPMonsterTex.monsters.male1'
	Skins(1)=Texture'SPMonsterTex.monsters.male1'
}