class SPIngameMessageTrigger extends Triggers;

var() string Message;
var() sound MessageSound;

function bool SelfTriggered()
{
	return true;
}

function UsedBy(Pawn user)
{
	local PlayerController PC;

	PC = PlayerController(user.Controller);

	if (SPPRI(user.PlayerReplicationInfo) != None)
	{
		SPPRI(user.PlayerReplicationInfo).SetMessage(Message);
		SPPRI(user.PlayerReplicationInfo).PanelMessage = Message;
	}

	if (PC != None)
	{
		PlaySound(MessageSound,SLOT_Interact,50,true,100,,false);
		PC.ClientOpenMenu("CodeBase.SPInGameMessage");
	}
}

function Touch( Actor Other )
{
	if ( Pawn(Other) != None )
	{
		Pawn(Other).ClientMessage("Press USE to read message.");
		

		if (AIController(Pawn(Other).Controller) != None)
			UsedBy(Pawn(Other));
	}
}

function bool IsRelevant(actor Other)
{
	return (Pawn(Other) != None) && Monster(Other) == None;
}

defaultproperties
{
	Message="LOLERS HI.\NEW LINE WTF UNDERPANTS."
	MessageSound=Sound'MenuSounds.MS_Edit'
}
