Class SPLightSuitFuelPickup extends TournamentPickup placeable;

var() int FuelToAdd;

auto state Pickup
{
	function Touch( actor Other )
	{
		local Pawn P;

		if ( ValidTouch(Other))
		{
			P = SPPawn(Other);

			if (SPPRI(P.PlayerReplicationInfo) != None)
			{
				if (SPPRI(P.PlayerReplicationInfo).LightSuitPower < 101)
				{

				SPPRI(P.PlayerReplicationInfo).LightSuitPower += FuelToAdd;

				if (PlayerController(P.Controller) != None)
						PlayerController(P.Controller).ClientMessage("You picked up some Light Suit fuel.");
				SetRespawn();
				}
			}
		}
	}
}

defaultproperties
{
	RespawnTime=320
	FuelToAdd=50
	DrawScale=0.5
     	CollisionRadius=32.000000
     	CollisionHeight=23.000000
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'XPickups_rc.HealthPack'
}