Class SPMonster extends Monster;

var float DetectionRadius;
var bool bForgetful;

function SetMeUp(name SEvent, name STag, int SHealth, name SAITag)
{
	Event = SEvent;
	Tag = STag;

	AIScriptTag = SAITag;

	if (SHealth != 0)
	{
		Health = SHealth;
	}
}

simulated function PlayDirectionalHit(Vector HitLoc)
{
}

function PostBeginPlay()
{
	Super.PostBeginPlay();

	RequiredEquipment[0] = "";
	RequiredEquipment[1] = "";
}

function RunAway()
{
	local PathNode P, Prev;
	local Array<PathNode> Y;

	foreach RadiusActors(class'PathNode', P, 4096)
	{

		if (P != None)
		{
			Y[Y.Length] = P;
	
			P = Y[RandRange(0, Y.Length -1)];
		
			if (P.Location == Location) // Makes sure the monster does actually move.
			{
				return;
			}

			if (P == Prev) // Stops monster from going to previous pathnode.
			{
				return;
			}
		
			else
			{
				Controller.bPreparingMove = true;
				//Acceleration = vect(0,0,0);
				bShotAnim = true;
				Prev = P;
				Controller.Destination = P.Location;
				Controller.GotoState('TacticalMove','WaitForAnim');
			}
	
		}

		else
		{
			MonsterController(Controller).WanderOrCamp(false);
		}

	}
}

defaultproperties
{
	Alertness=1
	DetectionRadius=256
	HearingThreshold=256
	SightRadius=6000
	bForgetful=false
	RequiredEquipment(0)=""
	RequiredEquipment(1)=""
}