Class SPMonster_SkaarjAssassin extends SPMonster_Skaarj;

function RunStep()
{
	PlaySound(FootStep[Rand(2)], SLOT_Interact);
	if (MeleeDamageTarget(20, (30000 * Normal(Controller.Target.Location - Location))) )
		PlaySound(sound'clawhit1s', SLOT_Interact);
}

function RangedAttack(Actor A)
{
	
	if ( bShotAnim )
		return;
	bShotAnim = true;
	if ( VSize(A.Location - Location) < MeleeRange + CollisionRadius + A.CollisionRadius )
	{
		//if ( FRand() < 0.7 )
		//{
			//SetAnimAction('Spin');
			//PlaySound(sound'Spin1s', SLOT_Interact);
			//Acceleration = AccelRate * Normal(A.Location - Location);
			//return;
		//}
		SetAnimAction('Claw');
		PlaySound(sound'Claw2s', SLOT_Interact);
		Controller.bPreparingMove = true;
		Acceleration = vect(0,0,0);
	}

	else
	{
		if (Controller.Enemy != None)
		{
			SetAnimAction('Claw');
			Controller.Destination = Controller.Enemy.Location;
			Controller.bPreparingMove = true;
		}

		else
		{	
			SetAnimAction('Spin');
		}
	}
}

function SpinDamageTarget()
{
	if (MeleeDamageTarget(70, (30000 * Normal(Controller.Target.Location - Location))) )
		PlaySound(sound'clawhit1s', SLOT_Interact);		
}

function ClawDamageTarget()
{
	if ( MeleeDamageTarget(45, (25000 * Normal(Controller.Target.Location - Location))) )
		PlaySound(sound'clawhit1s', SLOT_Interact);			
}

defaultproperties
{
     Skins(0)=Texture'SPMonsterTex.monsters.Assassin'
     MeleeRange=140.000000
	GroundSpeed=680
	Health=190
}