Class SPStealthPowerPickup extends TournamentPickup placeable;

var() int FuelToAdd;

auto state Pickup
{
	function Touch( actor Other )
	{
		local Pawn P;

		if ( ValidTouch(Other))
		{
			P = SPPawn(Other);

			if (SPPRI(P.PlayerReplicationInfo) != None)
			{
				if (SPPRI(P.PlayerReplicationInfo).StealthPower < 101)
				{

				SPPRI(P.PlayerReplicationInfo).StealthPower += FuelToAdd;

				if (PlayerController(P.Controller) != None)
						PlayerController(P.Controller).ClientMessage("You picked up some Stealth power fuel.");
				SetRespawn();
				}
			}
		}
	}
}

defaultproperties
{
	RespawnTime=320
	FuelToAdd=20
     	CollisionRadius=16.000000
     	CollisionHeight=8.000000
	DrawType=DT_StaticMesh
	DrawScale=1.2
	StaticMesh=StaticMesh'WeaponStaticMesh.RocketProj'
}