Class A_SuitLight extends Light;

simulated function PostBeginPlay()
{
	SetTimer(1, true);
}

simulated function Timer()
{
	local Pawn P;
	local SPPRI I;

	P = Pawn(Owner);
	I = SPPRI(P.PlayerReplicationInfo);

	if (P != None && I != None)
	{
		I.LightSuitPower -= 1;

		if (I.LightSuitPower == 0)
		{
			Destroy();
			SPPawn(P).On = false;
		}
	}
}

defaultproperties
{
	bStatic=false
	bDirectional=true
	bNoDelete=false
	bDynamicLight=true
	bMovable=true
	bHidden=true
     	LightType=LT_Pulse
     	LightEffect=LE_None
     	LightBrightness=150.000000
     	LightRadius=18.000000
     	LightHue=0
     	LightSaturation=150
     	LightPeriod=35
	RemoteRole=Role_SimulatedProxy
	bAlwaysRelevant=true
}