Class A_TriggeredActorSpawn extends SPActors placeable;

var(ActorSpawn) class<Actor> ActorClass;
Var(ActorSpawn) class<Actor> SpawnEffectClass;

event Trigger(Actor Other, Pawn EventInstigator)
{
	Local Rotator Rot;

	Rot = Self.Rotation;
	If (ActorClass != None)
	{
		Spawn(ActorClass,,, Self.Location, Rot);
		Spawn(SpawnEffectClass,,, Self.Location, Rot);
	}
}

defaultproperties
{
	bHidden=True
	bDirectional=True
     	Texture=Texture'Engine.DefaultFont.S_Ammo'
}