Class SPGamblingShop extends Triggers;

var() sound BuySound;

function bool SelfTriggered()
{
	return true;
}

function UsedBy(Pawn user)
{
	local SPPRI RP;

	RP = SPPRI(user.PlayerReplicationInfo);

	if (RP != None)
	{
		if (RP.Credits > 0)
		{
			if (fRand() > 0.3)
			{
				RP.Credits += 10;
				user.ClientMessage("You have won 10 credits!");
			}

			else if (fRand() > 0.5)
			{
				RP.Credits -= 10;
				user.ClientMessage("You have lost 10 credits!");
			}

			else if (fRand() > 0.7)
			{
				RP.Credits -= 30;
				user.ClientMessage("You have lost 30 credits!");
			}

			else if (fRand() > 0.99)
			{
				RP.Credits += 30;
				user.ClientMessage("You have won 30 credits!");
			}


			PlaySound(BuySound,SLOT_Interact,50,true,100,,true);

		}

		else
		{
			if (PlayerController(user.Controller) != None)
			{
				PlayerController(user.Controller).ClientMessage("You have no credits to gamble with!");
			}
		}
	}
}

function Touch(Actor Other)
{
	if ( Pawn(Other) != None )
	{
		Pawn(Other).ClientMessage("Press USE to gamble!");

		if ( AIController(Pawn(Other).Controller) != None)
			UsedBy(Pawn(Other));
	}
}

function bool IsRelevant(actor Other)
{

	return (Pawn(Other) != None) && Monster(Other) == None;
}

defaultproperties
{
	BuySound=Sound'PickupSounds.HealthPack'
}