Class SPHud extends HudCDeathmatch;

simulated function DrawInventory(Canvas C)
{
	local float XL, YL;
	local int Value;
	local int Number;
	local SPPRI RP;

	C.Font = GetFontSizeIndex(C,0);
	C.DrawColor = C.MakeColor(255,30,30);

	if (SPPawn(PawnOwner) != None && SPPawn(PawnOwner).bInventoryOn)
	{
		RP = SPPRI(PawnOwner.PlayerReplicationInfo);

		Value = SPPawn(PawnOwner).InvItem;

		if (RP != None)
		{

			Switch(Value)
			{
				Case 0:
					C.StrLen("Light Suit Power: 000",XL,YL);
					C.SetPos(C.ClipX - XL,0);
					Number = RP.LightSuitPower;
					C.DrawText("Light Suit Power:" @Number);
					break;
	
				Case 1:
					C.StrLen("Stealth Power: 000",XL,YL);
					C.SetPos(C.ClipX - XL,0);
					Number = RP.StealthPower;
					C.DrawText("Stealth Power:" @Number);
					break;
	
				Case 2:
					C.StrLen("Blinders: 000",XL,YL);
					C.SetPos(C.ClipX - XL,0);
					Number = RP.BlinderPower;
					C.DrawText("Blinders:" @Number);
					break;
	
				Case 3:
					C.StrLen("Credits: 000",XL,YL);
					C.SetPos(C.ClipX - XL,0);
					Number = RP.Credits;
					C.DrawText("Credits:" @Number);
					break;
			}

		}

	}

}

simulated event PostRender(canvas Canvas)
{
	Super.PostRender(Canvas);

	DrawInventory(Canvas);
}