Class SPLevelInfo extends SPActors;

var() string LevelName;
var() string AuthorName;
var() bool bIsATransition;
var() bool bUseInventory;

Struct WeaponLoadout
{
        Var() class<Weapon> WeaponClass;
};

var() array<WeaponLoadout> Weapons;

function LoadMeUp(Pawn P)
{
	local int i;
	local Weapon W;

	if (P != None)
	{
		for (i=0; i<Weapons.Length; i++)
		{
			W = Spawn(Weapons[i].WeaponClass);
			if (W != None)
			{
				W.GiveTo(P);
				W.FillToInitialAmmo();
			}
		}
	}
}

defaultproperties
{
	bHidden=true
	LevelName="Wibble"
	AuthorName="Wang"
}